diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index db56dbd..22f3c4d 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -238,8 +238,13 @@ class ServerNode(NodeView):
                     success=0,
                     errormsg=e.message)
 
+        try:
+            info = traceback.format_exc()
+        except Exception as e:
+            info = str(e)
+
         return make_json_response(success=1,
-                                  info=traceback.format_exc())
+                                  info=info)
 
     def update(self, gid, sid):
         """Update the server settings"""
